Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 148725 - xfce-extra/exo-0.3.0-r1 doesn't compile with >=dev-python/pygtk-2.9
Summary: xfce-extra/exo-0.3.0-r1 doesn't compile with >=dev-python/pygtk-2.9
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: XFCE Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 153225 158082
  Show dependency tree
 
Reported: 2006-09-22 19:15 UTC by Patrick McLean
Modified: 2007-07-19 20:16 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
[ebuild] xfce-extra/exo-0.3.0-r1 (exo-0.3.0-r1.ebuild,635 bytes, text/plain)
2007-01-08 15:54 UTC, Octavio Ruiz (Ta^3)
Details
[patch] files/01_all_pygtk29compat_0.3.0.patch (01_all_pygtk29compat_0.3.0.patch,1.75 KB, patch)
2007-01-08 15:55 UTC, Octavio Ruiz (Ta^3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick McLean gentoo-dev 2006-09-22 19:15:38 UTC
Compile fails with this error:

make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/tmp/portage/portage/exo-0.3.0-r1/work/exo-0.3.0/python/examples'
make[4]: Entering directory `/tmp/portage/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
if /bin/sh ../libtool --mode=compile --tag=CC i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..   -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0   -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -fno-strict-aliasing -I/usr/include/python2.5 -march=pentium2 -O2 -fomit-frame-pointer -pipe -MT _exo_la-exomodule.lo -MD -MP -MF ".deps/_exo_la-exomodule.Tpo" -c -o _exo_la-exomodule.lo `test -f 'exomodule.c' || echo './'`exomodule.c; \
        then mv -f ".deps/_exo_la-exomodule.Tpo" ".deps/_exo_la-exomodule.Plo"; else rm -f ".deps/_exo_la-exomodule.Tpo"; exit 1; fi
mkdir .libs
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -fno-strict-aliasing -I/usr/include/python2.5 -march=pentium2 -O2 -fomit-frame-pointer -pipe -MT _exo_la-exomodule.lo -MD -MP -MF .deps/_exo_la-exomodule.Tpo -c exomodule.c  -fPIC -DPIC -o .libs/_exo_la-exomodule.o
exomodule.c:38: error: expected ')' before '->' token
exomodule.c:53: error: expected ')' before '->' token
make[4]: *** [_exo_la-exomodule.lo] Error 1
make[4]: Leaving directory `/tmp/portage/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/portage/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/tmp/portage/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/portage/portage/exo-0.3.0-r1/work/exo-0.3.0'
make: *** [all] Error 2

!!! ERROR: xfce-extra/exo-0.3.0-r1 failed.


Portage 2.1.2_pre1 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.4-r3, 2.6.18-gentoo i686)
=================================================================
System uname: 2.6.18-gentoo i686 Intel(R) Pentium(R) 4 CPU 3.40GHz
Gentoo Base System version 1.12.5
Last Sync: Sat, 23 Sep 2006 02:00:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [disabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.29
dev-lang/python:     2.4.3-r3, 2.5-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium2 -O2 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /lib/rcscripts/addons /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /usr/share/gnome /usr/share/hwdata"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/eselect/compiler /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/sound /etc/terminfo /etc/texmf/web2c /etc/udev /usr/kde /usr/share/gnome/apps /usr/share/gnome/bonobo /usr/share/gnome/capplets /usr/share/gnome/cursor-fonts /usr/share/gnome/fonts /usr/share/gnome/help /usr/share/gnome/html /usr/share/gnome/panel /usr/share/gnome/ui /usr/share/gnome/vfolders /usr/share/gnome/vino /usr/share/gnome/wm-properties /var/local"
CXXFLAGS="-march=pentium2 -O2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig collision-protect distlocks metadata-transfer sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LINGUAS="en_CA en_GB en_US en fr zh_CN zh_TW"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/tmp/portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/diskless /usr/local/chutzpah"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X Xaw3d a52 aac accessibility acpi ada alsa amr aoss arts asf audiofile bash-completion berkdb bitmap-fonts bmpx bonobo boost branding bzip2 cairo caps cdparanoia cdr cli client-only colordiff cpudetection crypt css ctype cups curl custom-cflags dbus divx djvu dlloader doc dri dts dv dvd dvdr dvdread dvi eds effects elibc_glibc emacs emboss emf encode esd evo evolution examples exif expat fam fat ffmpeg fftw firefox flac foomaticdb fortran ftp gb gcc-libffi gcj gd gdbm gif gimp gimpprint glibc-omitfp glitz glut gmail gmedia gmp gnome gnomedb gnuplot gnustep gnutls gpgme gphoto2 gpm grammar gstreamer gtk gtkhtml guile gzip hal haskell hfs i8x0 icq icu idea idn ieee1394 ifp image imagemagick imap imlib imlib2 inkjar input_devices_evdev input_devices_joystick input_devices_keyboard input_devices_mouse input_devices_synaptics input_devices_vmmouse input_devices_void input_devices_wacom ipod ipv6 jabber java jfs jpeg jpeg2k junit kde kernel_linux largeterminal latex lcms ldap libg++ libgda libnotify libwww linguas_en linguas_en_CA linguas_en_GB linguas_en_US linguas_fr linguas_zh_CN linguas_zh_TW live lzo mad math matroska mikmod mjpeg mmap mmx mng mono motif mozdevelop mozilla mozsvg mp3 mp4 mpeg mule musepack mysql nautilus ncurses netboot network nfs nis nls no-old-linux no_wxgtk1 nonfsv4 nptl nptlonly objc odbc ogg openal opengl pam pam_console pascal patented pcre pda pdf perl php plugin png posix postgres povray ppds pppd print python qt3 qt4 quicktime quotas radeon rdesktop readline real realmedia reflection rtc ruby samba scanner sdk sdl session shorten silverxp sndfile sox speex spell spl sql sqlite ssl stream subversion svg tcltk tcpd tetex tga theora tiff totem transcode truetype truetype-fonts type1-fonts udev unicode usb userland_GNU userlocales vcd video_cards_apm video_cards_ark video_cards_ati video_cards_chips video_cards_cirrus video_cards_cyrix video_cards_dummy video_cards_epson video_cards_fglrx video_cards_glint video_cards_i128 video_cards_i740 video_cards_i810 video_cards_imstt video_cards_mach64 video_cards_mga video_cards_neomagic video_cards_nsc video_cards_nv video_cards_nvidia video_cards_r128 video_cards_radeon video_cards_rendition video_cards_s3 video_cards_s3virge video_cards_savage video_cards_siliconmotion video_cards_sis video_cards_tdfx video_cards_tga video_cards_trident video_cards_tseng video_cards_v4l video_cards_vesa video_cards_vga video_cards_via video_cards_vmware video_cards_voodoo vidix vim-with-x vorbis win32codecs wmf wxwindows x264 xanim xemacs xine xml xml2 xorg xpm xprint xscreensaver xv xvid xvmc zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Mik B. Shvets 2006-10-07 04:17:37 UTC
I have the same bug:


 x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -D_REENTRANT -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -fno-strict-aliasing -I/usr/include/python2.4 -O3 -pipe -mmmx -msse -msse2 -m3dnow -mtune=athlon64 -march=athlon64 -MT _exo_la-exomodule.lo -MD -MP -MF .deps/_exo_la-exomodule.Tpo -c exomodule.c  -fPIC -DPIC -o .libs/_exo_la-exomodule.o
 x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -D_REENTRANT -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -fno-strict-aliasing -I/usr/include/python2.4 -O3 -pipe -mmmx -msse -msse2 -m3dnow -mtune=athlon64 -march=athlon64 -MT _exo_la-exo.lo -MD -MP -MF .deps/_exo_la-exo.Tpo -c exo.c  -fPIC -DPIC -o .libs/_exo_la-exo.o
distcc[16262] ERROR: compile /var/tmp/ccache/exomodule.tmp.solshark.lo.16207.i on localhost failed
exomodule.c:38: error: expected ')' before '->' token
exomodule.c:53: error: expected ')' before '->' token
make[4]: *** [_exo_la-exomodule.lo] Ошибка 1
make[4]: *** Ожидание завершения заданий...
distcc[16266] ERROR: compile /var/tmp/ccache/exo.tmp.solshark.lo.16258.i on 10.0.11.2 failed
exo.override:30: error: expected 
Comment 2 Mik B. Shvets 2006-10-07 04:17:37 UTC
I have the same bug:


 x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -D_REENTRANT -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -fno-strict-aliasing -I/usr/include/python2.4 -O3 -pipe -mmmx -msse -msse2 -m3dnow -mtune=athlon64 -march=athlon64 -MT _exo_la-exomodule.lo -MD -MP -MF .deps/_exo_la-exomodule.Tpo -c exomodule.c  -fPIC -DPIC -o .libs/_exo_la-exomodule.o
 x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -D_REENTRANT -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -fno-strict-aliasing -I/usr/include/python2.4 -O3 -pipe -mmmx -msse -msse2 -m3dnow -mtune=athlon64 -march=athlon64 -MT _exo_la-exo.lo -MD -MP -MF .deps/_exo_la-exo.Tpo -c exo.c  -fPIC -DPIC -o .libs/_exo_la-exo.o
distcc[16262] ERROR: compile /var/tmp/ccache/exomodule.tmp.solshark.lo.16207.i on localhost failed
exomodule.c:38: error: expected ')' before '->' token
exomodule.c:53: error: expected ')' before '->' token
make[4]: *** [_exo_la-exomodule.lo] Ошибка 1
make[4]: *** Ожидание завершения заданий...
distcc[16266] ERROR: compile /var/tmp/ccache/exo.tmp.solshark.lo.16258.i on 10.0.11.2 failed
exo.override:30: error: expected ) before -> token
exo.override:31: error: expected ) before -> token
make[4]: *** [_exo_la-exo.lo] Ошибка 1
make[4]: Leaving directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
make[3]: *** [all-recursive] Ошибка 1
make[3]: Leaving directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
make[2]: *** [all] Ошибка 2
make[2]: Leaving directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
make[1]: *** [all-recursive] Ошибка 1
make[1]: Leaving directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0'
make: *** [all] Ошибка 2

!!! ERROR: xfce-extra/exo-0.3.0-r1 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  ebuild.sh, line 1255:   Called xfce42_src_compile
  xfce42.eclass, line 92:   Called die

!!! (no error message)
!!! If you need support, post the topmost build error, and the call stack if relevant.


solshark xgl-coffee # emerge --info
Portage 2.1.2_pre2-r5 (default-linux/amd64/2006.0, gcc-4.1.1, glibc-2.4-r4, 2.6.18-suspend2 x86_64)
=================================================================
System uname: 2.6.18-suspend2 x86_64 AMD Athlon(tm) 64 Processor 3200+
Gentoo Base System version 1.12.5
Last Sync: Fri, 06 Oct 2006 17:00:09 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
ccache version 2.4 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -pipe -mmmx -msse -msse2 -m3dnow -mtune=athlon64 -march=athlon64"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O3 -pipe -mmmx -msse -msse2 -m3dnow -mtune=athlon64 -march=athlon64"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distcc distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LC_ALL="ru_UA.utf8"
LINGUAS="ru en"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/overlays/xgl-coffee"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X a52 aac aalib alsa apache2 bash-completion berkdb bgg bitmap-fonts bluetooth bzip2 cdinstall cdparanoia cdr clamav clearcase cli crypt css cups curl cvs dba dbus directfb dlloader dri dv dvd dvdr dvdread eds effects elibc_glibc emboss encode extras fat fbcon fbsplash ffmpeg firefox flac font-server foomaticdb fortran ftp gcc64 gd ggi gif gimp glitz glut gnokii gnome gpm gstreamer gtk gtk2 iconv icq imagemagick imlib input_devices_keyboard input_devices_mouse isdnlog jabber java javascript jpeg jpeg2k kde kernel_linux libcaca linguas_en linguas_ru lm_sensors lzw lzw-tiff mad maildir mailwrapper mbox mime mono mozdevelop mp3 mpeg mpm-prefork mysql ncurses nls nptl nptlonly nsplugin ntfs nvidia oav ogg opengl oss pam pascal pcre pdf perl php png pppd python qt qt3 qt4 quicktime readline reflection reiserfs ruby samba scanner script sdl session sharedmem slang soap spell spl sql ssl subversion svg symlink tagwriting tcl tcltk tcpd threads tidy tiff tk tokenizer truetype truetype-fonts type1-fonts udev unicode usb userland_GNU utf8 v4l2 vcd verbose vhosts video_cards_nv video_cards_nvidia video_cards_vesa vim vim-with-x vorbis wmf xcomposite xine xml xmldoclet xmms xorg xpm xsl xv xvid zip zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS

solshark xgl-coffee # 

Comment 3 Chan Hong Guan 2006-10-08 04:36:10 UTC
I have this problem too, but I have using python 2.4.3-r4

Making all in examples
make[4]: Entering directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0/python/examples'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0/python/examples'
make[4]: Entering directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
if /bin/sh ../libtool --mode=compile --tag=CC i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..   -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/atk-1.0   -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -fno-strict-aliasing -I/usr/include/python2.4 -O2 -march=prescott -pipe -fomit-frame-pointer -MT _exo_la-exomodule.lo -MD -MP -MF ".deps/_exo_la-exomodule.Tpo" -c -o _exo_la-exomodule.lo `test -f 'exomodule.c' || echo './'`exomodule.c; \
        then mv -f ".deps/_exo_la-exomodule.Tpo" ".deps/_exo_la-exomodule.Plo"; else rm -f ".deps/_exo_la-exomodule.Tpo"; exit 1; fi
mkdir .libs
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/atk-1.0 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -fno-strict-aliasing -I/usr/include/python2.4 -O2 -march=prescott -pipe -fomit-frame-pointer -MT _exo_la-exomodule.lo -MD -MP -MF .deps/_exo_la-exomodule.Tpo -c exomodule.c  -fPIC -DPIC -o .libs/_exo_la-exomodule.o
exomodule.c:38: error: expected ')' before '->' token
exomodule.c:53: error: expected ')' before '->' token
make[4]: *** [_exo_la-exomodule.lo] Error 1
make[4]: Leaving directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0/python'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/exo-0.3.0-r1/work/exo-0.3.0'
make: *** [all] Error 2

!!! ERROR: xfce-extra/exo-0.3.0-r1 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  ebuild.sh, line 1255:   Called xfce42_src_compile
  xfce42.eclass, line 92:   Called die

!!! (no error message)
!!! If you need support, post the topmost build error, and the call stack if relevant.

output from: emerge --info

Gentoo Base System version 1.12.5
Portage 2.1.1 (default-linux/x86/2006.1, gcc-4.1.1, glibc-2.4-r3, 2.6.17-gentoo-r8 i686)
=================================================================
System uname: 2.6.17-gentoo-r8 i686 Genuine Intel(R) CPU           T2300  @ 1.66GHz
Last Sync: Sun, 08 Oct 2006 04:00:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: [Not Present]
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo http://mirror.usu.edu/mirrors/gentoo/ "
LINGUAS=""
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/local"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X acpi alsa berkdb bitmap-fonts cjk cli crypt cups dbus dlloader dri elibc_glibc fbcon firefox fortran gdbm gpm hal input_devices_keyboard input_devices_mouse input_devices_synaptics isdnlog jpeg kernel_linux libg++ mmx mp3 ncurses nls nptl nptlonly nsplugin ogg opengl oss pam pcre pdf perl png ppds pppd python quicktime readline real reflection session spl sse sse2 ssl tcpd truetype-fonts type1-fonts udev unicode userland_GNU video_cards_i810 vorbis win32codecs wmf xorg zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Lasse Kärkkäinen 2006-11-06 13:13:35 UTC
This bug happens because of stupid use of macros in PyGTK. 
The following are defined in /usr/include/pygtk-2.0/pygtk/pygtk.h:

#define pygtk_tree_path_to_pyobject (_PyGtk_API->tree_path_to_pyobject)
#define pygtk_tree_path_from_pyobject (_PyGtk_API->tree_path_from_pyobject)

This causes the function definition (in exomodule.c)
PyObject*
pygtk_tree_path_to_pyobject (GtkTreePath *path)
{ ... }

to transfer into
PyObject*
(_PyGtk_API->tree_path_to_pyobject) (GtkTreePath *path)
{ ... }

... which of course is the reason for that compile error.

P.S. Macros are evil (in four different ways) and I *really* hate C.
Comment 5 Lasse Kärkkäinen 2006-11-12 05:28:49 UTC
Pygtk 2.10.1 and .2 have this macro issue, 2.8.6 does not. Thus, exo builds fine with pygtk 2.8.6, but not on later versions. However, be aware that downgrading pygtk will break some software that depends on 2.10 of it. The latest versions of gedit being an example.

But where are all the Gentoo developers? Has the upstream (Xfce and pygtk developers) been contacted about this already?

I don't have the permissions required, but the summary should be changed to "xfce-extra/exo-0.3.0-r1 does not compile with pygtk 2.10.*".
Comment 6 Paul Smith 2006-12-05 05:09:30 UTC
I also have the same bug. (pygtk 2.10.3)

make[4]: Entering directory `/var/tmp/portage/xfce-extra/exo-0.3.0-r1/work/exo-0.3.0/python'
if /bin/sh ../libtool --mode=compile --tag=CC i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..   -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0   -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -fno-strict-aliasing -I/usr/include/python2.4 -O2 -march=pentium4 -MT _exo_la-exomodule.lo -MD -MP -MF ".deps/_exo_la-exomodule.Tpo" -c -o _exo_la-exomodule.lo `test -f 'exomodule.c' || echo './'`exomodule.c; \
        then mv -f ".deps/_exo_la-exomodule.Tpo" ".deps/_exo_la-exomodule.Plo"; else rm -f ".deps/_exo_la-exomodule.Tpo"; exit 1; fi
if /bin/sh ../libtool --mode=compile --tag=CC i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..   -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0   -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -fno-strict-aliasing -I/usr/include/python2.4 -O2 -march=pentium4 -MT _exo_la-exo.lo -MD -MP -MF ".deps/_exo_la-exo.Tpo" -c -o _exo_la-exo.lo `test -f 'exo.c' || echo './'`exo.c; \
        then mv -f ".deps/_exo_la-exo.Tpo" ".deps/_exo_la-exo.Plo"; else rm -f ".deps/_exo_la-exo.Tpo"; exit 1; fi
mkdir .libs
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -fno-strict-aliasing -I/usr/include/python2.4 -O2 -march=pentium4 -MT _exo_la-exomodule.lo -MD -MP -MF .deps/_exo_la-exomodule.Tpo -c exomodule.c  -fPIC -DPIC -o .libs/_exo_la-exomodule.o
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_DISABLE_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS -DEXO_API_SUBJECT_TO_CHANGE -I.. -I/usr/include/xfce4 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -fno-strict-aliasing -I/usr/include/python2.4 -O2 -march=pentium4 -MT _exo_la-exo.lo -MD -MP -MF .deps/_exo_la-exo.Tpo -c exo.c  -fPIC -DPIC -o .libs/_exo_la-exo.o
exomodule.c:38: error: expected ')' before '->' token
exomodule.c:53: error: expected ')' before '->' token
make[4]: *** [_exo_la-exomodule.lo] Error 1
make[4]: *** Waiting for unfinished jobs....
exo.override:30: error: expected ')' before '->' token
exo.override:31: error: expected ')' before '->' token
make[4]: *** [_exo_la-exo.lo] Error 1
make[4]: Leaving directory `/var/tmp/portage/xfce-extra/exo-0.3.0-r1/work/exo-0.3.0/python'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/xfce-extra/exo-0.3.0-r1/work/exo-0.3.0/python'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/xfce-extra/exo-0.3.0-r1/work/exo-0.3.0/python'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/xfce-extra/exo-0.3.0-r1/work/exo-0.3.0'
make: *** [all] Error 2

!!! ERROR: xfce-extra/exo-0.3.0-r1 failed.
Call stack:
  ebuild.sh, line 1569:   Called dyn_compile
  ebuild.sh, line 938:   Called src_compile
  ebuild.sh, line 1262:   Called xfce42_src_compile
  xfce42.eclass, line 92:   Called die



Portage 2.1.2_rc2-r5 (default-linux/x86/2006.1, gcc-4.1.1, glibc-2.5-r0, 2.6.19-gentoo-r1 i686)
=================================================================
System uname: 2.6.19-gentoo-r1 i686 Intel(R) Pentium(R) D CPU 2.80GHz
Gentoo Base System version 1.12.6
Last Sync: Tue, 05 Dec 2006 07:30:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.3.6, 2.4.4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=pentium4"
DISTDIR="/usr/local/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LINGUAS="en"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 alsa apache2 berkdb bitmap-fonts bzip2 bzlib calendar cli cracklib crypt cups dba dlloader dri dts dvb ecaggressive elibc_glibc encode esd fortran freetds gd gdbm gif glib gmp gpm gtk gtk2 iconv imap inifile input_devices_keyboard input_devices_mouse input_devices_vmmouse ipv6 isdnlog jpeg kernel_linux ldap libg++ linguas_en logrotate mad maildir mhash mmx mmxext mp3 mpm-worker mysql ncurses nls nptl nptlonly ogg opengl oss pam pcntl pcre pdf pear perl png postfix ppds pppd pptp python readline reflection sdl seamonkey server session soap sockets speex spell spl sse sse2 ssl subversion tcpd threads tidy tiff truetype truetype-fonts ttf type1-fonts udev unicode usb userland_GNU video_cards_nvidia video_cards_vesa video_cards_vmware x264 x86 xml xml2 xmlrpc xorg xpdf xsl xv xvid zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 7 Josh Nichols (RETIRED) gentoo-dev 2006-12-05 22:11:57 UTC
Getting this fixed myself is beyond me. Upstream or someone else will need to provide a patch.
Comment 8 Marien Zwart (RETIRED) gentoo-dev 2006-12-06 08:14:31 UTC
http://bugzilla.xfce.org/show_bug.cgi?id=1815 has a fix that should work (untested). Updating summary and removing blocker since this is not python 2.5 related.
Comment 9 Josh Nichols (RETIRED) gentoo-dev 2006-12-10 13:11:04 UTC
FYI, it seems this does not seem to affect exo that is part of 4.4 rc2 (0.3.1.12), as it builds fine with pygtk-2.10.3.
Comment 10 Alexander Zubkov 2006-12-21 06:56:01 UTC
Fixed in upstream since 0.3.1.8beta2. May be add dependency in xfce-extra/exo-0.3.0-r1.ebuild like this:
<=dev-python/pygtk-2.9
Comment 11 Josh Nichols (RETIRED) gentoo-dev 2006-12-29 13:00:30 UTC
(In reply to comment #7)
> http://bugzilla.xfce.org/show_bug.cgi?id=1815 has a fix that should work
> (untested). Updating summary and removing blocker since this is not python 2.5
> related.
> 

Anyone care to test using this patch and report the results?
Comment 12 Octavio Ruiz (Ta^3) 2007-01-08 15:54:35 UTC
Created attachment 106041 [details]
[ebuild] xfce-extra/exo-0.3.0-r1
Comment 13 Octavio Ruiz (Ta^3) 2007-01-08 15:55:11 UTC
Created attachment 106043 [details, diff]
[patch] files/01_all_pygtk29compat_0.3.0.patch
Comment 14 Octavio Ruiz (Ta^3) 2007-01-08 15:57:23 UTC
Attachment #106043 [details, diff] is Based on http://bugzilla.xfce.org/attachment.cgi?id=552 of http://bugzilla.xfce.org/show_bug.cgi?id=1815 for exo-0.3.0. Added src_unpack function to ebuild in order to apply the patch.
Comment 15 Fabian Neumann 2007-01-08 21:07:12 UTC
The patch posted by Octavio Ruiz (Ta^3) works for me. Thanks.
Comment 16 Phillip Berndt 2007-01-10 18:04:37 UTC
Forks for me as well. (x86)
Comment 17 Phillip Berndt 2007-01-10 18:05:41 UTC
s/Fork/Work/ :)
Comment 18 Carlos Eduardo Santos 2007-01-11 14:49:00 UTC
That's happening to me, also. Should xfce-extra/exo-0.3.0-r1 remain stable?
Comment 19 Tito 2007-01-11 20:24:09 UTC
An easier way to emerge exo :
# emerge --unmerge dev-python/pygtk
# emerge xfce-extra/exo
# emerge dev-python/pygtk
Enjoy! ;) (For me it worked)
Comment 20 PaulNM 2007-01-12 13:19:11 UTC
I can confirm the unmerge pygtk/ emerge exo / emerge pygtk trick works for me.

I would suggest a slightly different way though:

#  grep xfce-extra/exo /var/lib/portage/world
#  grep dev-python/pygtk /var/lib/portage/world
#  emerge --unmerge dev-python/pygtk 
#  emerge --oneshot xfce-extra/exo
#  emerge --oneshot dev-python/pygtk

The greps check to see if either of them are in the world file. The --oneshot option emerges them without adding them to world, thus preventing world file pollution.  You can even use qpkg on pygtk before unmerging to save time on slow systems. Then you can just "emerge -k --oneshot dev-python/pygtk" after emerging exo.
Comment 21 Octavio Ruiz (Ta^3) 2007-01-15 18:38:18 UTC
unmerging and emerging things in that fashion in order to make things to compile does not seems to be the way to do it. I encourage you to stop doing that, :) 
Comment 22 Samuli Suominen gentoo-dev 2007-01-17 17:27:36 UTC
(In reply to comment #21)
> unmerging and emerging things in that fashion in order to make things to
> compile does not seems to be the way to do it. I encourage you to stop doing
> that, :) 
> 

Seconded.
Comment 23 Sandro Bonazzola (RETIRED) gentoo-dev 2007-01-22 10:59:14 UTC
Same problem here. There are reports of compilation success with the attached patches in comment #15 and #16. Please commit :-)
Comment 24 Mike Hammill 2007-01-24 13:12:13 UTC
(In reply to comment #23)
Seconded...though I cannot say I have tried the patch.  Having same problem with ppc arch.
Comment 25 Jimi A. 2007-01-24 20:37:06 UTC
Just out of curiosity, why is the emerge/unmerge routine discouraged?
Comment 26 Tomasz Golinski 2007-01-28 11:59:51 UTC
Patch works.
Comment 27 Tom Purl 2007-01-30 19:49:45 UTC
For those of you that don't know how to apply the patch, here's how I did it:

    foo@server ~ # cd /var/tmp/portage/exo-0.3.0-r1/work
    foo@server /var/tmp/portage/exo-0.3.0-r1/work # wget "http://bugs.gentoo.org/attachment.cgi?id=106043"
    foo@server /var/tmp/portage/exo-0.3.0-r1/work # mv attachment.cgi\?id\=106043 exo.override.patch
    foo@server /var/tmp/portage/exo-0.3.0-r1/work # patch -p0 <exo.override.patch
Comment 28 Phillip Berndt 2007-01-31 15:21:42 UTC
(In reply to comment #27)
A nicer way is to download the new ebuild and put it into an overlay [1].

[1] http://gentoo-wiki.com/HOWTO_Installing_3rd_Party_Ebuilds
Comment 29 Tom Purl 2007-02-01 02:23:28 UTC
(In reply to comment #27)

Actually, what I said in 27 didn't work like I thought it did.  Instead, I tried the overlay solution.  Check out this Gentoo forums thread if you have any trouble do this:

* http://forums.gentoo.org/viewtopic-p-3878650.html#3878650

Comment 30 Tom Dickson 2007-02-14 00:28:11 UTC
Using the descriptions above and placing the files in /usr/local/portage and setting up PORTAGE_OVERLAY in make.conf worked for me.

This should be pushed into the distribution ebuilds as it is working.
Comment 31 Samuli Suominen gentoo-dev 2007-02-26 17:58:27 UTC
Fixed in 0.3.0-r2 and I'm requesting it to be stabilized on all marked arches right now.

Thanks all.